SeriesPlugin for OE2.0 / OE2.2

  • Mit der neuen ipk hat er das Update installiert. Wenn ich allerdings in Erweiterungen gehe habe ich auf dem Bildschirm folgende Fehlermeldung:


    Einige Plugins sind nicht verfügbar:
    Extensions/SeriesPlugin (invalid syntax /plugin.py line 118 ))
    Extentions/AutoTimer (inavlid syntax (plugin.py line 118 ))





    Also line 118 im plugin.py


    if(config.plugins.autotimer.timeout.value == 1)
    config.plugins.autotimer.timeout = 5;
    config.plugins.autotimer.save()


    Da hakt es wohl. Bei mir ist der Timeout Wert 1...

  • Ich hatte auch schon versucht die 3 lines auszukommentieren, dann kommt ne ähnliche Fehlemeldung für line 58. ;(

  • Ich hab jetzt die neue Version installiert und - siehe da - ALLE Timer sind beschriftet, auch Criminal Minds welche in der Vergangenheit immer Probleme hatte.


    Eins meiner Lieblingsplugins funktioniert gerade wieder einwandfrei! Vielen Dank an betonme und latte!!!!

  • Mit der 0.9.3 hab ich GS bei zB GUI Neustart oder Box Neustart oder auch zB wenn ich Mediaportal Plugin beende:



    Es scheint diese Stelle im Code zu sein (Danke ghost!):

    Code
    <-----><------>config.plugins.autotimer.timeout = 5


    Da fehlt das "value" nach timeout. Die Zeile muss repariert so aussehen:

    Code
    <-----><------>config.plugins.autotimer.timeout.value = 5


    Damit geht es dann wieder :hurra:

  • Hi,


    dann kommt jetzt noch das letzte Thema für Oe2.0.
    Ich habe intern einiges umgestellt und die Lizenz Server Abfrage entfernt.


    Danke schon mal fürs testen und Feedback geben


    PS: Ein IPK ist aus meiner Sicht für diese Übergangsversion nicht notwendig

  • Hallo betonme,


    testen? Immer, gerne, kein Thema :-)


    Ich habe alle Dateien ersetzt und gebootet. Interessanterweise wurde sofort ein seriesplugin.log erstellt ohne dass ich etwas angestartet hätte.


    Inhalt:


    Code
    SeriesPlugin start exception 'autotimer'
    Traceback (most recent call last):
    File "/usr/lib/enigma2/python/Plugins/Extensions/SeriesPlugin/plugin.py", line 120, in <module>
    if(config.plugins.autotimer.timeout.value == 1):
    File "/usr/lib/enigma2/python/Components/config.py", line 1574, in __getattr__
    return self.content.items[name]
    KeyError: 'autotimer'


    Ich werde jetzt mal den Autotimer starten... mal sehen was da so kommt.


    Edit: OK, also prinzipiell läuft SP, jedoch kommen im Log allerlei Fehler so à la:


    Code
    SeriesPluginWorker Identifier Exception: global name 'config' is not defined
    Traceback (most recent call last):
    File "/usr/lib/enigma2/python/Plugins/Extensions/SeriesPlugin/SeriesPlugin.py", line 207, in run
    item.name, item.begin, item.end, item.service, item.channels
    File "/usr/lib/enigma2/python/Plugins/Extensions/SeriesPlugin/Identifiers/Wunschliste.py", line 115, in getEpisode
    name = self.getAlternativeSeries(name)
    File "/usr/lib/enigma2/python/Plugins/Extensions/SeriesPlugin/IdentifierBase.py", line 61, in getAlternativeSeries
    if( self.search_depth < config.plugins.seriesplugin.search_depths.value ):
    NameError: global name 'config' is not defined


    Er findet die Titwl und ersetzt sie. Ich habe Dir das komplette Log als PN geschickt.


    Gruß Mike

  • Hi betonme,


    die 0.9.4.1 läuft rund, kein Problem mehr beim Boot und ansonsten findet er alles (keine Fehler im Log).


    Danke für das Update.


    Gruß Mike

  • und was macht das Plugin für Version 1.0 zu 0.9.0.4 aus?

    Best Enigma2 Plugins:
    TV Charts Plugin, EPGRefresh, AutoTimer, VPS Plugin, SeriesPlugin

  • Quote

    Original von betonme
    Nur das es jetzt Open Source ist und im öffentlichen Repository gepflegt wird.


    Und somit zukünftig automatisch über den Plugin Feed erhältlich ist.


    War es das nicht schon immer???

    Best Enigma2 Plugins:
    TV Charts Plugin, EPGRefresh, AutoTimer, VPS Plugin, SeriesPlugin